package com.qs.mp.user.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.common.enums.TicketTypeEnum;
import com.qs.mp.user.domain.UserPrizeStorage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 用户实物奖品库出参类
 * @author Cup
 * @date 2022/5/24
 */
@ApiModel("用户事务奖品库出参类")
@Data
public class UserPrizeStorageVO extends UserPrizeStorage {

    @ApiModelProperty("是否多sku: 0否,1是")
    private Integer isMoreSku;

    @ApiModelProperty("盲票形式（线上或线下）")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private TicketTypeEnum type;
}
